Bug 522363 - Cannot start mail-notification
Summary: Cannot start mail-notification
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mail-notification
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dmitry Butskoy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-10 07:52 UTC by Pierre-YvesChibon
Modified: 2011-09-25 17:15 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:26:48 UTC


Attachments (Terms of Use)

Description Pierre-YvesChibon 2009-09-10 07:52:16 UTC
Description of problem:
I just installed mail-notification for the first time but I cannot start it.

Version-Release number of selected component (if applicable):
$ rpm -q mail-notification
mail-notification-5.4-10.fc11.x86_64


How reproducible:
always

Steps to Reproduce:
1. yum install mail-notification
2. start mail-notification
3.
  
Actual results:
Console:

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/commands/new-mail/enabled"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/commands/new-mail/command"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/commands/mail-read/enabled"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/commands/mail-read/command"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/commands/mail-changed/enabled"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/commands/mail-changed/command"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/sounds/new-mail/enabled"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/sounds/new-mail/file"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/sounds/play-command"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/ui/properties-dialog/width"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/ui/properties-dialog/height"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/blink-on-errors"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/trusted-x509-certificates"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/trusted-servers"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/display-seen-mail"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/tooltip-mail-summary"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/tooltip-mail-summary-limit"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/always-display-icon"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/display-message-count"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/click-action-3"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/popups/enabled"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/popups/position"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/popups/expiration/enabled"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/popups/expiration/delay-2"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/popups/actions"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/popups/limit"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/fallback-charsets"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/popups/expiration/delay-2"

** (mail-notification:21480): WARNING **: cannot find default value of configuration key "/apps/mail-notification/messages-considered-as-read"


GUI:
"A fatal error has occured in Mail Notification
The default configuration has not been installed
properly. Please check your Mail Notification installation."

Expected results:
The program mail-notification to work

Comment 1 Pavel Rosenboim 2009-12-20 20:03:33 UTC
Same happened in F12 with mail-notification-5.4-16.fc12.i686

Comment 2 Dmitry Butskoy 2009-12-21 13:12:57 UTC
Did you try to re-install mail-notification (ie. remove it completely then install again)?

The problem looks like some garbage is left from previous versions of mail-notification after its update...

Comment 3 Pavel Rosenboim 2009-12-21 13:39:54 UTC
In my case, it happened after installing it on fresh F12 install. Then, I tried to remove and install it again, without success.

Then I copied a backed up copy of ~/.gconf/apps/mail-notification from my F10 install, restarted gconfd and then, mail-notification started without errors.

Comment 4 Zing 2009-12-31 15:39:54 UTC
gconfd is caching (specifically negative hit caching) and mail-notification can't find the gconf keys... at least this is what happened to me.  If you send a SIGHUP to your gconfd process, then the new key/values are found and mail-notification starts up.

This means we need some standard way in fedora to knock on the gconfd to force reread the gconf db... something like killall -1 gconfd-2 from rpm post.

Comment 5 Jussi Torhonen 2010-07-08 05:23:02 UTC
Same problem found here with F13. After installing mail-notification.x86_64 and starting up the application, I got the same error message. HUP'ing all gconfd-2 processes helped.

Comment 6 Michal Nowak 2010-09-22 06:55:20 UTC
In the light of Zing's suggestion shouldn't we move this to gconf component? I also wonder do other apps suffer from this issue?

Comment 7 Bug Zapper 2010-11-04 10:07:27 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2010-12-05 06:26:48 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Julien Olivier 2011-06-02 04:45:00 UTC
This bug still exists on a fresh Fedora 15 install. Please re-open it.

Comment 10 Boricua 2011-09-25 17:15:40 UTC
This bug is still alive. I just got hit by it using Fedora 16 Beta RC2, 64 bit.


Note You need to log in before you can comment on or make changes to this bug.